<?php

/**
 * @file
 * Describes hooks and plugins provided by the Entity Comparison module.
 */

use Drupal\entity_comparison\Entity\EntityComparison;

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alter the Entity Comparison table rows before it is rendered.
 *
 * @param array $rows
 *   The rows of the table.
 * @param Drupal\entity_comparison\Entity\EntityComparison $entity_comparison
 *   The entity comparison object.
 * @param array $entities
 *   The entities to compare.
 */
function hook_entity_comparison_rows_alter(array &$rows, EntityComparison $entity_comparison, array $entities) {
  // Set header.
  $extra_row = [t('Header')];

  foreach ($entities as $entity) {
    // Place your text here.
    $extra_row[] = t('Field');
  }

  // Add new row.
  $rows[] = $extra_row;
}

/**
 * @} End of "addtogroup hooks".
 */
